<template>
  <div id="app">
    <Header :id="1234" @change="onChange" />
    <router-view />
  </div>
</template>
<script>
import Header from '@/components/Header';

export default {
  components: {
    Header,
  },
  data() {
    return {
      taskName: '123',
    };
  },
  methods: {
    onChange(type, payload) {
      console.log(type, payload);
    },
  },
};
</script>
<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
